Hi Kris:<br><br><div class="gmail_quote">2009/3/25  <span dir="ltr"><<a href="mailto:testing-request@lists.pcbsd.org">testing-request@lists.pcbsd.org</a>></span><br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
><br>
> I tried the following this morning:<br>
><br>
> # remove ports tree<br>
> mv /usr/ports /usr/ports.old<br>
> # get current ports tree<br>
> portsnap fetch<br>
> portsnap extract<br>
> # delete existing installed packages<br>
> pkg_delete --all<br>
> # try building libX11 again<br>
> cd /usr/ports/x11/libX11<br>
> make<br>
><br>
> I get these (different) results on the second and later attempts to make:<br>
><br>
> larry@pinawa% sudo make<br>
> Password:<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/libdata/pkgconfig/xcb.pc -<br>
> found<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/share/aclocal/xorg-macros.m4<br>
> - found<br>
> ===>   libX11-1.2,1 depends on file:<br>
> /usr/local/libdata/pkgconfig/bigreqsproto.pc - found<br>
> ===>   libX11-1.2,1 depends on file:<br>
> /usr/local/libdata/pkgconfig/xcmiscproto.pc - found<br>
> ===>   libX11-1.2,1 depends on file:<br>
> /usr/local/libdata/pkgconfig/xextproto.pc - found<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/libdata/pkgconfig/xtrans.pc<br>
> - found<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/libdata/pkgconfig/kbproto.pc<br>
> - found<br>
> ===>   libX11-1.2,1 depends on file:<br>
> /usr/local/libdata/pkgconfig/inputproto.pc - found<br>
> ===>   libX11-1.2,1 depends on file:<br>
> /usr/local/libdata/pkgconfig/xf86bigfontproto.pc - found<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/libdata/pkgconfig/xau.pc -<br>
> found<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/libdata/pkgconfig/xdmcp.pc -<br>
> found<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/libdata/pkgconfig/xproto.pc<br>
> - found<br>
> ===>   libX11-1.2,1 depends on file: /usr/local/bin/automake-1.10 - not<br>
> found<br>
> ===>    Verifying install for /usr/local/bin/automake-1.10 in<br>
> /usr/ports/devel/automake110<br>
> ===>   automake-1.10.1 depends on file: /usr/local/bin/perl5.8.9 - found<br>
> ===>   automake-1.10.1 depends on file: /usr/local/bin/autoconf-2.62 - not<br>
> found<br>
> ===>    Verifying install for /usr/local/bin/autoconf-2.62 in<br>
> /usr/ports/devel/autoconf262<br>
> ===>  Installing for autoconf-2.62<br>
> ===>   autoconf-2.62 depends on executable: gm4 - found<br>
> ===>   autoconf-2.62 depends on executable: autoconf-wrapper - found<br>
> ===>   autoconf-2.62 depends on file: /usr/local/bin/perl5.8.9 - found<br>
> ===>   Generating temporary packing list<br>
> ===>  Checking if devel/autoconf262 already installed<br>
> gmake  install-recursive<br>
> gmake[1]: Entering directory<br>
> `/usr/ports/devel/autoconf262/work/autoconf-2.62'<br>
> Making install in bin<br>
> gmake[2]: Entering directory<br>
> `/usr/ports/devel/autoconf262/work/autoconf-2.62/bin'<br>
> autom4te_perllibdir='..'/lib AUTOM4TE_CFG='../lib/autom4te.cfg'<br>
> ../bin/autom4te -B '..'/lib -B '..'/lib         --language M4sh --cache ''<br>
> --melt ./<a href="http://autoconf.as" target="_blank">autoconf.as</a> -o <a href="http://autoconf.in" target="_blank">autoconf.in</a><br>
> autom4te: need GNU m4 1.4 or later: /usr/local/bin/gm4<br>
> gmake[2]: *** [<a href="http://autoconf.in" target="_blank">autoconf.in</a>] Error 1<br>
> gmake[2]: Leaving directory<br>
> `/usr/ports/devel/autoconf262/work/autoconf-2.62/bin'<br>
> gmake[1]: *** [install-recursive] Error 1<br>
> gmake[1]: Leaving directory<br>
> `/usr/ports/devel/autoconf262/work/autoconf-2.62'<br>
> gmake: *** [install] Error 2<br>
> *** Error code 2<br>
><br>
> Stop in /usr/ports/devel/autoconf262.<br>
> *** Error code 1<br>
><br>
> Stop in /usr/ports/devel/automake110.<br>
> *** Error code 1<br>
><br>
> Stop in /usr/ports/x11/libX11.<br>
><br>
> This leads to an important question: What is the prescribed way to install<br>
> and build ports for PC-BSD? Should portsnap be used, or cvsup, or ??<br>
><br>
> Cheers,<br>
><br>
><br>
<br>
Take a look here:<br>
<br>
autom4te: need GNU m4 1.4 or later: /usr/local/bin/gm4<br>
<br>
Looks like the version of m4 installed is too old for some reason. Maybe<br>
it just got updated in ports, try to rebuild devel/m4 first.<br>
<br>
As for the prescribed way, you can use portsnap or cvs, they both get<br>
you to the same ports tree in the end :)<br>
<br>
Just to re-confirm, you are using the "runports" command before you try<br>
to do the builds right?<br>
<br>
<a href="http://wiki.pcbsd.org/index.php/Working_with_FreeBSD_Ports" target="_blank">http://wiki.pcbsd.org/index.php/Working_with_FreeBSD_Ports</a><br></blockquote></div><br>I think you can write this off to an RTFM error: After running "/PCBSD/Scripts/runports.sh" my builds work fine.<br>
<br>Cheers,<br>-- <br>Larry Gadallah, VE6VQ/W7                          lgadallah AT gmail DOT com<br>PGP Sig: 917E DDB7 C911 9EC1 0CD9  C06B 06C4 835F 0BB8 7336<br>